Jump to content

Recommended Posts

7 hours ago, greasemonkey said:

Probably far outside this CE version, however I'll ask the question... has there been any thought to connect the 2.4 joli API for upgrades (I kinda presume it's not even possible)?

Unfortunate the 2.3 series does not have the required type of architecture to allow something like that.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Bug Reporting, constructive feedback etc @ https://forums.oscommerce.com/topic/493648-phoenix-constructive-feedback-bug-hunting/

The more things that get brought to my attention as problematic, the better the core code can be.  I have tried over the past weeks to catch as many bugs etc as I can across a number of threads, and those I was able to replicate I fixed.  Those I was not able to replicate...I did not fix.  

 

 


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Versioning

Feedback well received from previous discussion & taken on board ... so I will do my best to keep on top of versioning. 
I may miss some but please blame that on my age and eyesight ;) 

Versioning is set at a.b.c.d (aka 1.0.0.0 -> 1.0.0.1 > 1.0.0.2 and so on)

  • If bug(s) are squashed or typo's or other minor things
    {d} will update +1
  • If a new feature is added (say, for example, the shopping_cart.php page went modular)
    {c} would update +1
    {d} would reset to zero
  • If a major update occurred (not sure what it would be...)
    {b} would update +1
    {c} would reset to zero
    {d} would reset to zero

I will also provide a zip file for each movement of {b}{c}{d}

A gotcha to bear in mind;

v1.0.0.23 is NEWER than v1.0.0.2

I have found it helpful to say the number rather than read the number (if that makes sense), eg

one.zero.zero.twothree is less easy to work with than one.zero.zero.twentythree

or put another way it's loads easier to immediately recognise that "twenty three" is a higher number than "two".

I hope that all makes sense, and goes someway to making life easier for shopowners and developers alike.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
Posted (edited)

1.0.0.3 hotfixes and enhancements

How to update

  1. Make sure you have applied the 1.0.0.1 hotfixes -> 1.0.0.1.zip
  2. Make sure you have applied the 1.0.0.2 hotfixes -> 1.0.0.2.zip
  3. Apply the 1.0.0.3 hotfixes -> 1.0.0.3.zip

You could also simply download & install the latest v1.0.0.3

You could make commit by commit changes

I suggest the simplest way is to grab the 1.0.0.3 zip, unzip it, and upload the files.

Enjoy.  Thank you to everyone who found bugs etc.

Edited by burt
1.0.0.3

This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Yes, we say thank you to Harald for his pushes yesterday.  There's a lot of changed files so going to pull it into a branch and test it out.

Many thanks Harald!


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
Posted (edited)

1.0.0.4 hotfixes and enhancements

How to update

  1. Make sure you have applied the 1.0.0.1 hotfixes -> 1.0.0.1.zip
  2. Make sure you have applied the 1.0.0.2 hotfixes -> 1.0.0.2.zip
  3. Make sure you have applied the 1.0.0.3 hotfixes -> 1.0.0.3.zip
  4. Apply the 1.0.0.4 hotfixes -> 1.0.0.4.zip

You could also simply download & install the latest v1.0.0.4

You could make commit by commit changes

I suggest the simplest way (assuming you are on 1.0.0.3) is to grab the 1.0.0.4 zip, unzip it, and upload the files.

Special Thanks

  • @Harald Ponce de Leon for working on 7.3 compatibility 👍
  • the forum members who took time to look at demo site and point out issues 👍
Edited by burt
Elite copy/paste skills

This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
Posted (edited)
11 hours ago, burt said:

You could also simply download & install the latest v1.0.0.4

The link takes the user to the 1.0.0.3 version and the zip download is for 1.0.0.3! 

So they will be downloading and then having to install hotfix.

Edited by JcMagpie

 

Share this post


Link to post
Share on other sites
14 minutes ago, JcMagpie said:

The link takes the user to the 1.0.0.3 version and the zip download is for 1.0.0.3! 

So they will be downloading and then having to install hotfix.

Thanks for the heads up, seems my "elite" copy and pasting skills let me down...😂

I just repasted all the links and seems OK to me now.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
On 7/15/2019 at 10:41 AM, burt said:

Apply the 1.0.0.4 hotfixes -> 1.0.0.4.zip

All Done! And up and running.

Thanks Gary @burt


osC BS gold live - osC CE in development (awesome)

Share this post


Link to post
Share on other sites

Phoenix 1.0.1.0 

How to update

  1. Make sure you have applied the 1.0.0.1 hotfixes -> 1.0.0.1.zip
  2. Make sure you have applied the 1.0.0.2 hotfixes -> 1.0.0.2.zip
  3. Make sure you have applied the 1.0.0.3 hotfixes -> 1.0.0.3.zip
  4. Make sure you have applied the 1.0.0.4 hotfixes -> 1.0.0.4.zip
  5. Apply the 1.0.1.0 files -> 1.0.1.0.zip

You could also simply download & install the latest v1.0.1.0

You could make commit by commit changes

I suggest the simplest way (assuming you are on 1.0.0.4) is to grab the 1.0.1.0 zip, unzip it, and upload the files.

Special Thanks

Notes

  1. As this is a feature release, you must also go into admin and install the shopping_cart module(s) if you are upgrading.
  2. Admin > Modules > Content > {Install} - and you will find them.
  3. As usual, these modules are configurable by sort order, width etc.  

Enjoy.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Admin Side:

uppppppp.jpg.ae58668a572b3465684f7a28d3f575ff.jpg

and on the official downloads page;

https://www.oscommerce.com/Products

and an official announcement;

https://www.oscommerce.com/Us&News=156

Big 👍 to all who have gotten involved so far, we're doing something quite special.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Please could we keep this thread clear of "support requests", thank you 👍


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Phoenix 1.0.1.1 

How to update

  1. Make sure you have applied the 1.0.0.1 hotfixes
  2. Make sure you have applied the 1.0.0.2 hotfixes
  3. Make sure you have applied the 1.0.0.3 hotfixes
  4. Make sure you have applied the 1.0.0.4 hotfixes
  5. Make sure you have applied the 1.0.1.0 hotfixes
  6. Apply the 1.0.1.1 files -> 1.0.1.1.zip

You could also simply download & install the latest v1.0.1.1

https://github.com/gburton/Responsive-osCommerce/tree/1.0.1.1 and install it.

You could make commit by commit changes

1.0.1.0 to 1.0.1.1: https://github.com/gburton/Responsive-osCommerce/compare/1.0.1.0...1.0.1.1

I suggest the simplest way (assuming you are on 1.0.1.0) is to grab the 1.0.1.1 zip, unzip it, and upload the files.

Special Thanks

  • to @Harald Ponce de Leon for the gzip fix
  • to forum members for their constructive feedback and bug hunting

Completely Uninstall Modules (if they are turned on)

  1. Admin > Modules > Header Tags > "Google+ Direct Connect Module"
  2. Admin > Modules > Social Bookmarks > "Google+ Share"
  3. Admin > Modules > Social Bookmarks > "Google+ +1 Button"

Delete Files (after having turned off the modules above)

  1. includes/functions/gzip_compression.php 
  2. includes/modules/header_tags/ht_gpublisher.php
  3. includes/languages/english/modules/header_tags/ht_gpublisher.php
  4. includes/modules/social_bookmarks/sb_google_plus_one.php 
  5. includes/modules/social_bookmarks/sb_google_plus_share.php
  6. includes/languages/english/modules/social_bookmarks/sb_google_plus_one.php
  7. includes/languages/english/modules/social_bookmarks/sb_google_plus_share.php

Enjoy.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
Posted (edited)

Hi Burt,

Great! thank you so much for your continuing effort.

Just to make it clear:

  1. This 1.0.1.1 needs 1.0.1.0 to be installed.
  2. After uploading the new files, 3 modules must be uninstalled (meaning: turned off using the admin section)
  3. After turning off those 3 modules, 7 files must be deleted.

The differences between 1.0.1`.0 and 1.0.1.1 are layed out in https://github.com/gburton/Responsive-osCommerce/compare/1.0.1.0...1.0.1.1

Please correct me if I'm wrong.

Eveline

Edited by Denkster
added link to comparison

Share this post


Link to post
Share on other sites

That's correct. 


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Phoenix 1.0.1.2 

How to update

Make sure you have applied the 1.0.0.1 hotfixes
Make sure you have applied the 1.0.0.2 hotfixes
Make sure you have applied the 1.0.0.3 hotfixes
Make sure you have applied the 1.0.0.4 hotfixes
Make sure you have applied the 1.0.1.0 hotfixes
Make sure you have applied the 1.0.1.1 hotfixes

Apply the 1.0.1.2 changes -> 1.0.1.2.zip

You could also simply download & install the latest v1.0.1.2

https://github.com/gburton/Responsive-osCommerce/tree/1.0.1.2 and install it.

You could make commit by commit changes

1.0.1.1 to 1.0.1.2: https://github.com/gburton/Responsive-osCommerce/compare/1.0.1.1...1.0.1.2

I suggest the simplest way (assuming you are on 1.0.1.1) is to grab the 1.0.1.2 zip, unzip it, and upload the files.

Special Thanks

  • to forum members for their constructive feedback and bug hunting
  • to @cupidare for German Language Fileset (linked in README)

Install New Modules

Admin > Modules > Header Tags > {install} > Canonical Links

Completely TURN OFF (uninstall) Modules (these payment methods are stale)

Admin > Modules > Payment > Moneybookers (all)
Admin > Modules > Payment > Sofortueberweisung
Admin > Modules > Payment > Chronopay
Admin > Modules > Payment > Inpay
Admin > Modules > Payment > iPayment

Delete Files (AFTER having turned off the modules above)

/includes/modules/payment/moneybookers_*.php
/includes/languages/english/modules/payment/moneybookers_*.php
/admin/ext/modules/payment/moneybookers/ (folder and all files inside)

/includes/modules/payment/sofortueberweisung_direct.php
/includes/languages/english/modules/payment/sofortueberweisung_direct.php
/admin/ext/modules/payment/sofortueberweisung/ (folder and all files inside)

/includes/modules/payment/chronopay.php
/includes/languages/english/modules/payment/chronopay.php
/admin/ext/modules/payment/chronopay/ (folder and all files inside)

/includes/modules/payment/inpay.php
/includes/languages/english/modules/payment/inpay.php
/admin/ext/modules/payment/inpay/ (folder and all files inside)

/includes/modules/payment/ipayment.php
/includes/languages/english/modules/payment/ipayment.php
/admin/ext/modules/payment/ipayment/ (folder and all files inside)


Enjoy.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Phoenix 1.0.1.3 

How to update

Find out what version you are on now;  admin > tools > version checker, then perform the necessary manual updates;

Make sure you have applied the 1.0.0.1 hotfixes
Make sure you have applied the 1.0.0.2 hotfixes
Make sure you have applied the 1.0.0.3 hotfixes
Make sure you have applied the 1.0.0.4 hotfixes
Make sure you have applied the 1.0.1.0 hotfixes
Make sure you have applied the 1.0.1.1 hotfixes
Make sure you have applied the 1.0.1.2 hotfixes

EG, if you are on 1.0.1.0, you must perform the 1.0.1.1 & 1.0.1.2 hotifxes, then;

Apply the 1.0.1.3 changes -> 1.0.1.3.zip

You could also simply download & install the latest v1.0.1.3

https://github.com/gburton/Responsive-osCommerce/tree/1.0.1.3 and install it.

You could make commit by commit changes

1.0.1.2 to 1.0.1.3: https://github.com/gburton/CE-Phoenix/compare/1.0.1.2...1.0.1.3

I suggest the simplest way (assuming you are on 1.0.1.2) is to grab the 1.0.1.3 zip, unzip it, and upload the files.

Special Thanks

  • to forum members for their constructive feedback and bug hunting
  • to ruden, scottcwilson, scro0303 for minor code updates
  • to @raiwa for Spanish Language Fileset (linked in README)

Install New Modules

There are no NEW modules to install

Reinstall Existing Modules

Completely TURN OFF (uninstall) and THEN TURN ON (reinstall) the following module(s);

  • Admin > Modules > Content > Navigation > Navbar

Delete Obsolete File

  • includes/languages/english/product_reviews_info.php

Enjoy!

Notes for Language Maintainers

@cupidare DE @raiwa ES

  • /includes/languages/english.php
  • /includes/languages/english/advanced_search.php
  • /includes/languages/english/modules/boxes/bm_specials.php
  • /includes/languages/english/modules/boxes/bm_whats_new.php

This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

I believe in english.php in line 199:

define('FORM_REQUIRED_INPUT', '<i class="form-control-feedback text-danger"><i class="fas fa-asterisk"></i></i>');

It should be:

define('FORM_REQUIRED_INPUT', '<span class="form-control-feedback text-danger"><i class="fas fa-asterisk"></i></span>');

 

Share this post


Link to post
Share on other sites

Good catch.  Yes it should.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Phoenix 1.0.1.4 

Couple of language changes that are mistakes so here are the two commits to bring you from 1.0.1.3 to 1.0.1.4;

Make sure you are on 1.0.1.3 before performing these two changes.

Many thanks @raiwa for the heads up.  @cupidare for your attention.

Apologies to all for dumb mistake.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×